--- title: "getPublicIpTargetServerInstanceList" slug: "compute-vserver-publicip-getpubliciptargetserverinstancelist" updated: 2026-09-17T10:06:00Z published: 2026-09-17T10:06:00Z canonical: "api.ncloud-docs.com/compute-vserver-publicip-getpubliciptargetserverinstancelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getPublicIpTargetServerInstanceList Available in VPC Get the list of server instances that can be assigned to a public IP instance. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/getPublicIpTargetServerInstanceList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/getPublicIpTargetServerInstanceList ?regionCode=KR &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getPublicIpTargetServerInstanceListResponse` | Object | - | Response result - See [ServerInstanceList](/docs/en/common-vapidatatype-serverinstancelist). | | `getPublicIpTargetServerInstanceListResponse.requestId` | String | - | ID for the request - UUID format | | `getPublicIpTargetServerInstanceListResponse.returnCode` | String | - | Response code | | `getPublicIpTargetServerInstanceListResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getPublicIpTargetServerInstanceListResponse": { "totalRows": 1, "serverInstanceList": [ { "serverInstanceNo": "10*****61", "serverName": "s-1ygu1mlm056k1", "serverDescription": "", "cpuCount": 2, "memorySize": 8589934592, "platformType": { "code": "UBD64", "codeName": "Ubuntu Desktop 64 Bit" }, "loginKeyName": "ncp-loginkey", "publicIpInstanceNo": "", "publicIp": "", "serverInstanceStatus": { "code": "RUN", "codeName": "Server RUN status" }, "serverInstanceOperation": { "code": "NULL", "codeName": "Server NULL OP" }, "serverInstanceStatusName": "running", "createDate": "2025-06-12T14:01:17+0900", "uptime": "2025-06-12T14:06:33+0900", "serverImageProductCode": "SW.VSVR.OS.LNX64.UBNTU.SVR2204.B050", "serverProductCode": "SVR.VSVR.STAND.C002.M008.NET.SSD.B050.G002", "isProtectServerTermination": false, "zoneCode": "KR-2", "regionCode": "KR", "vpcNo": "4**5", "subnetNo": "3***4", "networkInterfaceNoList": [ "7***55" ], "initScriptNo": "", "serverInstanceType": { "code": "STAND", "codeName": "Standard" }, "baseBlockStorageDiskType": { "code": "NET", "codeName": "Network storage" }, "baseBlockStorageDiskDetailType": { "code": "SSD", "codeName": "SSD" }, "placementGroupNo": "", "placementGroupName": "", "memberServerImageInstanceNo": "", "hypervisorType": { "code": "XEN", "codeName": "XEN" }, "serverImageNo": "3182409", "serverSpecCode": "s2-g2-s50", "eventList": [], "fabricClusterPoolNo": "", "fabricClusterPoolName": "", "fabricClusterMode": "", "fabricClusterNo": "", "fabricClusterName": "" } ], "requestId": "f22e5d98-****-****-****-7d0005327d82", "returnCode": "0", "returnMessage": "success" } } ```